Update Builder Settings#
Saves settings. timezone_id is required (numeric or base64 of the numeric timezone id from Get Builder).
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
idstringpathrequired
Base64 workflow id from List Workflows
timezone_idstringbodyrequired
Timezone id, or base64 of that id (example NDA= for 40)
time_window_enabledbooleanbody
Whether the daily window is on
start_timestringbody
H:i, for example 09:00
end_timestringbody
H:i, for example 17:00
include_daysarraybody
Days the window applies
from_namestringbody
From name for messages
from_emailstringbody
From email
from_numberstringbody
From number
allowed_usersarraybody
User ids (numeric or base64)
curl --request PUT \
--url https://app.rizzdial.com/api/Workflow/builder/MQ==/settings \
--header 'Authorization: Bearer {{bearer_token}}' \
--header 'Content-Type: application/json' \
--data '{"timezone_id":"NDA=","time_window_enabled":false}'messagestring
Settings saved successfully.